#include <Tasker.h>
Tasker tasker; 

int var1 = 255, var2 = 0;
bool plot = true;

void setup() {
  // put your setup code here, to run once:
  tasker.setTimeout(updateVar1, 3000); //three seconds from start, update var1
  tasker.setRepeated(updateVar2, 250, 20); //three seconds from start, update var1
  tasker.setTimeout(stopPlot, 5500); //three seconds from start, update var1
  Serial.begin(9600);
}

void loop() {
  // put your main code here, to run repeatedly:
  tasker.loop();
  analogWrite(5, var1);
  analogWrite(6, var2);
  if (plot) {
    Serial.print(var1);
    Serial.print(",");
    Serial.println(var2);
  }
}

void updateVar1() {
  var1 = 20;
}

void updateVar2() {
  var2 = random(0, 255);
}

void stopPlot() {
  plot = false;
  var1 = 0; //turn leds off
  var2 = 0;
}
